## jack 1.0.0

=== DESCRIPTION ===
Package: jack
Type: Package
Title: Jack, Zonal, and Schur Polynomials
Version: 1.0.0
Date: 2019-08-24
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials, zonal polynomials, and Schur polynomials. Mainly based on Demmel & Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal polynomials and Schur polynomials are particular cases of Jack polynomials. Zonal polynomials appear in random matrix theory. Schur polynomials appear in the field of combinatorics.
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: partitions, DescTools, gmp, mvp, multicool
RoxygenNote: 6.1.1
Suggests: testthat
NeedsCompilation: no
Packaged: 2019-08-24 15:25:11 UTC; SDL96354
Repository: CRAN
Date/Publication: 2019-08-25 07:10:02 UTC

## jack 1.1.0

=== DESCRIPTION ===
Package: jack
Type: Package
Title: Jack, Zonal, and Schur Polynomials
Version: 1.1.0
Date: 2019-09-09
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials, zonal polynomials, and Schur polynomials. Mainly based on Demmel & Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal polynomials and Schur polynomials are particular cases of Jack polynomials. Zonal polynomials appear in random matrix theory. Schur polynomials appear in the field of combinatorics.
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: partitions, DescTools, gmp, mvp, multicool
RoxygenNote: 6.1.1
Suggests: testthat
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
NeedsCompilation: no
Packaged: 2019-09-09 11:36:42 UTC; SDL96354
Repository: CRAN
Date/Publication: 2019-09-09 11:50:03 UTC

## jack 1.1.1

=== DESCRIPTION ===
Package: jack
Type: Package
Title: Jack, Zonal, and Schur Polynomials
Version: 1.1.1
Date: 2019-09-16
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials, zonal polynomials, and Schur polynomials. Mainly based on Demmel & Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal polynomials and Schur polynomials are particular cases of Jack polynomials. Zonal polynomials appear in random matrix theory. Schur polynomials appear in the field of combinatorics.
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: partitions, DescTools, gmp, mvp, multicool
RoxygenNote: 6.1.1
Suggests: testthat
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
NeedsCompilation: no
Packaged: 2019-09-16 09:28:45 UTC; SDL96354
Repository: CRAN
Date/Publication: 2019-09-16 09:50:02 UTC

## jack 2.0.0

=== DESCRIPTION ===
Package: jack
Type: Package
Title: Jack, Zonal, and Schur Polynomials
Version: 2.0.0
Date: 2022-02-14
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials, zonal polynomials, and Schur polynomials. Mainly based on Demmel & Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal polynomials and Schur polynomials are particular cases of Jack polynomials. Zonal polynomials appear in random matrix theory. Schur polynomials appear in the field of combinatorics.
License: GPL-3
Encoding: UTF-8
Imports: partitions, DescTools, gmp, mvp, multicool, JuliaConnectoR,
        Ryacas
RoxygenNote: 7.1.2
Suggests: testthat
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
NeedsCompilation: no
Packaged: 2022-02-15 07:58:21 UTC; SDL96354
Repository: CRAN
Date/Publication: 2022-02-15 09:30:05 UTC

## jack 3.0.0

=== DESCRIPTION ===
Package: jack
Type: Package
Title: Jack, Zonal, and Schur Polynomials
Version: 3.0.0
Date: 2022-02-21
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials, zonal polynomials, and Schur polynomials. Mainly based on Demmel & Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal polynomials and Schur polynomials are particular cases of Jack polynomials. Zonal polynomials appear in random matrix theory. Schur polynomials appear in the field of combinatorics.
License: GPL-3
Encoding: UTF-8
Imports: partitions, DescTools, gmp, mvp, multicool, JuliaConnectoR,
        Ryacas, gmpoly
RoxygenNote: 7.1.2
Suggests: testthat
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
NeedsCompilation: no
Packaged: 2022-03-20 04:29:45 UTC; SDL96354
Repository: CRAN
Date/Publication: 2022-03-20 04:50:02 UTC

## jack 3.1.1+cvs20050801

=== cursesmodule/Makefile ===
# Generated automatically from Makefile.pre by makesetup.
# Generated automatically from Makefile.pre.in by sedscript.
# Universal Unix Makefile for Python extensions
# =============================================

# Short Instructions
# ------------------

# 1. Build and install Python (1.4 or newer).
# 2. "make -f Makefile.pre.in boot"
# 3. "make"
# You should now have a shared library.

# Long Instructions
# -----------------

# Build *and install* the basic Python 1.4 distribution.  See the
# Python README for instructions.

# Create a file Setup.in for your extension.  This file follows the
# format of the Modules/Setup.in file; see the instructions there.
# For a simple module called "spam" on file "spammodule.c", it can
# contain a single line:
#   spam spammodule.c
# You can build as many modules as you want in the same directory --
# just have a separate line for each of them in the Setup.in file.

# If you want to build your extension as a shared library, insert a
# line containing just the string
#   *shared*
# at the top of your Setup.in file.

# Note that the build process copies Setup.in to Setup, and then works
# with Setup.  It doesn't overwrite Setup when Setup.in is changed, so
# while you're in the process of debugging your Setup.in file, you may
# want to edit Setup instead, and copy it back to Setup.in later.
# (All this is done so you can distribute your extension easily and
# someone else can select the modules they actually want to build by
# commenting out lines in the Setup file, without editing the
# original.  Editing Setup is also used to specify nonstandard
# locations for include or library files.)

# Copy this file (Misc/Makefile.pre.in) to the directory containing
# your extension.

# Run "make -f Makefile.pre.in boot".  This creates Makefile
# (producing Makefile.pre and sedscript as intermediate files) and
# config.c, incorporating the values for sys.prefix, sys.exec_prefix
# and sys.version from the installed Python binary.  For this to work,
# the python binary must be on your path.  If this fails, try
#   make -f Makefile.pre.in Makefile VERSION=1.4 installdir=<prefix>
# where <prefix> is the prefix used to install Python for installdir
# (and possibly similar for exec_installdir=<exec_prefix>).

# If you are building your extension as a shared library (your
# Setup.in file starts with *shared*), run "make" or "make sharedmods"
# to build the shared library files.  If you are building a statically
# linked Python binary (the only solution of your platform doesn't
# support shared libraries, and sometimes handy if you want to
# distribute or install the resulting Python binary), run "make
# python".

# Note: Each time you edit Makefile.pre.in or Setup, you must run
# "make Makefile" before running "make".

# Hint: if you want to use VPATH, you can start in an empty
# subdirectory and say (e.g.):
#   make -f ../Makefile.pre.in boot srcdir=.. VPATH=..


# === Bootstrap variables (edited through "make boot") ===

# The prefix used by "make inclinstall libainstall" of core python
installdir=	/usr/local

# The exec_prefix used by the same
exec_installdir=/usr/local

# Source directory and VPATH in case you want to use VPATH.
# (You will have to edit these two lines yourself -- there is no
# automatic support as the Makefile is not generated by
# config.status.)
srcdir=		.
VPATH=		.

# === Variables that you may want to customize (rarely) ===

# (Static) build target
TARGET=		python

# Add more -I and -D options here
CFLAGS=		$(OPT) -I$(INCLUDEPY) -I$(LIBPL) $(DEFS)

# These two variables can be set in Setup to merge extensions.
# See example[23].
BASELIB=	
BASESETUP=	

# === Variables set by makesetup ===

MODOBJS=	  regexmodule.o regexpr.o  pcremodule.o pypcre.o  posixmodule.o  signalmodule.o  readline.o  arraymodule.o  cmathmodule.o  mathmodule.o  stropmodule.o  structmodule.o  timemodule.o  operator.o  _localemodule.o  fcntlmodule.o  pwdmodule.o  grpmodule.o  selectmodule.o  socketmodule.o  errnomodule.o  termios.o  resource.o  md5module.o md5c.o  shamodule.o  _tkinter.o tkappinit.o  rotormodule.o  cursesmodule.o  newmodule.o  gdbmmodule.o  binascii.o  parsermodule.o  cStringIO.o  cPickle.o  zlibmodule.o
MODLIBS=	$(LOCALMODLIBS) $(BASEMODLIBS)

# === Definitions added by makesetup ===

LOCALMODLIBS=      -lreadline -ltermcap                    -ltk8.0 -ltcl8.0 -L/usr/X11R6/lib -lX11   -lncurses -ltermcap   -L/usr/local/lib -lgdbm      -L$(exec_prefix)/lib -lz
BASEMODLIBS=      -lreadline -ltermcap                    -ltk8.0 -ltcl8.0 -L/usr/X11R6/lib -lX11    -L/usr/local/lib -lgdbm      -L$(exec_prefix)/lib -lz
TKPATH=:lib-tk
GLHACK=-Dclear=__GLclear
PYTHONPATH=$(COREPYTHONPATH)
COREPYTHONPATH=$(DESTPATH)$(SITEPATH)$(TESTPATH)$(MACHDEPPATH)$(STDWINPATH)$(TKPATH)
MACHDEPPATH=:plat-$(MACHDEP)
TESTPATH=
SITEPATH=
DESTPATH=
MACHDESTLIB=$(BINLIBDEST)
DESTLIB=$(LIBDEST)
TKPATH=:lib-tk
GLHACK=-Dclear=__GLclear
PYTHONPATH=$(COREPYTHONPATH)
COREPYTHONPATH=$(DESTPATH)$(SITEPATH)$(TESTPATH)$(MACHDEPPATH)$(STDWINPATH)$(TKPATH)
MACHDEPPATH=:plat-$(MACHDEP)
TESTPATH=
SITEPATH=
DESTPATH=
MACHDESTLIB=$(BINLIBDEST)
DESTLIB=$(LIBDEST)


# === Variables from configure (through sedscript) ===

VERSION=	1.5
CC=		gcc
OPT=		-g -O2
LDFLAGS=	
DEFS=		-DHAVE_CONFIG_H
LIBS=		-lieee -ldl  -lpthread
LIBM=		-lm
LIBC=		
RANLIB=		ranlib
MACHDEP=	linux2
SO=		.so
LDSHARED=	gcc -shared
CCSHARED=	-fpic
LINKFORSHARED=	-Xlinker -export-dynamic

# Install prefix for architecture-independent files
prefix=		/usr/local

# Install prefix for architecture-dependent files
exec_prefix=	${prefix}

# === Fixed definitions ===

# Shell used by make (some versions default to the login shell, which is bad)
SHELL=		/bin/sh

# Expanded directories
BINDIR=		$(exec_installdir)/bin
LIBDIR=		$(exec_prefix)/lib
MANDIR=		$(installdir)/man
INCLUDEDIR=	$(installdir)/include
SCRIPTDIR=	$(prefix)/lib

# Detailed destination directories
BINLIBDEST=	$(LIBDIR)/python$(VERSION)
LIBDEST=	$(SCRIPTDIR)/python$(VERSION)
INCLUDEPY=	$(INCLUDEDIR)/python$(VERSION)
LIBP=		$(exec_installdir)/lib/python$(VERSION)

LIBPL=		$(LIBP)/config

PYTHONLIBS=	$(LIBPL)/libModules.a \
		$(LIBPL)/libPython.a \
		$(LIBPL)/libObjects.a \
		$(LIBPL)/libParser.a

MAKESETUP=	$(LIBPL)/makesetup
MAKEFILE=	$(LIBPL)/Makefile
CONFIGC=	$(LIBPL)/config.c
CONFIGCIN=	$(LIBPL)/config.c.in
SETUP=		$(LIBPL)/Setup

SYSLIBS=	$(LIBM) $(LIBC)

ADDOBJS=	$(LIBPL)/main.o getpath.o config.o

# === Fixed rules ===

# Default target.  This builds shared libraries only
default:	sharedmods

# Build everything
all:		static sharedmods

# Build shared libraries from our extension modules
sharedmods:	$(SHAREDMODS)

# Build a static Python binary containing our extension modules
static:		$(TARGET)
$(TARGET):	$(ADDOBJS) lib.a $(PYTHONLIBS) Makefile $(BASELIB)
		$(CC) $(LDFLAGS) $(ADDOBJS) lib.a $(PYTHONLIBS) \
		 $(LINKPATH) $(BASELIB) $(MODLIBS) $(LIBS) $(SYSLIBS) \
		 -o $(TARGET)

# Build the library containing our extension modules
lib.a:		$(MODOBJS)
		-rm -f lib.a
		ar cr lib.a $(MODOBJS)
		-$(RANLIB) lib.a || \
		echo "don't worry if ranlib fails -- probably SYSV or equiv"

# This runs makesetup *twice* to use the BASESETUP definition from Setup
config.c Makefile:	Makefile.pre Setup $(BASESETUP) $(MAKESETUP)
		$(MAKESETUP) \
		 -m Makefile.pre -c $(CONFIGCIN) Setup -n $(BASESETUP) $(SETUP)
		$(MAKE) -f Makefile do-it-again

# Internal target to run makesetup for the second time
do-it-again:
		$(MAKESETUP) \
		 -m Makefile.pre -c $(CONFIGCIN) Setup -n $(BASESETUP) $(SETUP)

# Make config.o from the config.c created by makesetup
config.o:	config.c
		$(CC) $(CFLAGS) -c config.c

# Make our own private getpath.o from the installed source and our PYTHONPATH
getpath.o:	$(LIBPL)/getpath.c Makefile
	$(CC) $(CFLAGS) -DPYTHONPATH=\"$(PYTHONPATH)\" -c $(LIBPL)/getpath.c

# Setup is copied from Setup.in *only* if it doesn't yet exist
Setup:
		cp $(srcdir)/Setup.in Setup

# Make the intermediate Makefile.pre from Makefile.pre.in
Makefile.pre: Makefile.pre.in sedscript
		sed -f sedscript $(srcdir)/Makefile.pre.in >Makefile.pre

# Shortcuts to make the sed arguments on one line
P=prefix
E=exec_prefix
H=Generated automatically from Makefile.pre.in by sedscript.
L=LINKFORSHARED

# Make the sed script used to create Makefile.pre from Makefile.pre.in
sedscript:	$(MAKEFILE)
	sed -n \
	 -e '1s/.*/1i\\/p' \
	 -e '2s%.*%# $H%p' \
	 -e '/^VERSION=/s/^VERSION=[ 	]*\(.*\)/s%@VERSION[@]%\1%/p' \
	 -e '/^CC=/s/^CC=[ 	]*\(.*\)/s%@CC[@]%\1%/p' \
	 -e '/^OPT=/s/^OPT=[ 	]*\(.*\)/s%@OPT[@]%\1%/p' \
	 -e '/^LDFLAGS=/s/^LDFLAGS=[ 	]*\(.*\)/s%@LDFLAGS[@]%\1%/p' \
	 -e '/^DEFS=/s/^DEFS=[ 	]*\(.*\)/s%@DEFS[@]%\1%/p' \
	 -e '/^LIBS=/s/^LIBS=[ 	]*\(.*\)/s%@LIBS[@]%\1%/p' \
	 -e '/^LIBM=/s/^LIBM=[ 	]*\(.*\)/s%@LIBM[@]%\1%/p' \
	 -e '/^LIBC=/s/^LIBC=[ 	]*\(.*\)/s%@LIBC[@]%\1%/p' \
	 -e '/^RANLIB=/s/^RANLIB=[ 	]*\(.*\)/s%@RANLIB[@]%\1%/p' \
	 -e '/^MACHDEP=/s/^MACHDEP=[ 	]*\(.*\)/s%@MACHDEP[@]%\1%/p' \
	 -e '/^SO=/s/^SO=[ 	]*\(.*\)/s%@SO[@]%\1%/p' \
	 -e '/^LDSHARED=/s/^LDSHARED=[ 	]*\(.*\)/s%@LDSHARED[@]%\1%/p' \
	 -e '/^CCSHARED=/s/^CCSHARED=[ 	]*\(.*\)/s%@CCSHARED[@]%\1%/p' \
	 -e '/^$L=/s/^$L=[ 	]*\(.*\)/s%@$L[@]%\1%/p' \
	 -e '/^$P=/s/^$P=\(.*\)/s%^$P=.*%$P=\1%/p' \
	 -e '/^$E=/s/^$E=\(.*\)/s%^$E=.*%$E=\1%/p' \
	 $(MAKEFILE) >sedscript
	echo "/^installdir=/s%=.*%=	$(installdir)%" >>sedscript
	echo "/^exec_installdir=/s%=.*%=$(exec_installdir)%" >>sedscript
	echo "/^srcdir=/s%=.*%=		$(srcdir)%" >>sedscript
	echo "/^VPATH=/s%=.*%=		$(VPATH)%" >>sedscript
	echo "/^LINKPATH=/s%=.*%=	$(LINKPATH)%" >>sedscript
	echo "/^BASELIB=/s%=.*%=	$(BASELIB)%" >>sedscript
	echo "/^BASESETUP=/s%=.*%=	$(BASESETUP)%" >>sedscript

# Bootstrap target
boot:	clobber
	VERSION=`python -c "import sys; print sys.version[:3]"`; \
	installdir=`python -c "import sys; print sys.prefix"`; \
	exec_installdir=`python -c "import sys; print sys.exec_prefix"`; \
	$(MAKE) -f $(srcdir)/Makefile.pre.in VPATH=$(VPATH) srcdir=$(srcdir) \
		VERSION=$$VERSION \
		installdir=$$installdir \
		exec_installdir=$$exec_installdir \
		Makefile

# Handy target to remove intermediate files and backups
clean:
		-rm -f *.o *~

# Handy target to remove everything that is easily regenerated
clobber:	clean
		-rm -f *.a tags TAGS config.c Makefile.pre python sedscript
		-rm -f *.so *.sl so_locations


# Handy target to remove everything you don't want to distribute
distclean:	clobber
		-rm -f Makefile Setup

# Rules appended by makedepend

regexmodule.o: $(srcdir)/regexmodule.c; $(CC)  $(CFLAGS) -c $(srcdir)/regexmodule.c
regexpr.o: $(srcdir)/regexpr.c; $(CC)  $(CFLAGS) -c $(srcdir)/regexpr.c
regexmodule$(SO):  regexmodule.o regexpr.o; $(LDSHARED)  regexmodule.o regexpr.o  -o regexmodule$(SO)
pcremodule.o: $(srcdir)/pcremodule.c; $(CC)  $(CFLAGS) -c $(srcdir)/pcremodule.c
pypcre.o: $(srcdir)/pypcre.c; $(CC)  $(CFLAGS) -c $(srcdir)/pypcre.c
pcre$(SO):  pcremodule.o pypcre.o; $(LDSHARED)  pcremodule.o pypcre.o  -o pcre$(SO)
posixmodule.o: $(srcdir)/posixmodule.c; $(CC)  $(CFLAGS) -c $(srcdir)/posixmodule.c
posixmodule$(SO):  posixmodule.o; $(LDSHARED)  posixmodule.o  -o posixmodule$(SO)
signalmodule.o: $(srcdir)/signalmodule.c; $(CC)  $(CFLAGS) -c $(srcdir)/signalmodule.c
signalmodule$(SO):  signalmodule.o; $(LDSHARED)  signalmodule.o  -o signalmodule$(SO)
readline.o: $(srcdir)/readline.c; $(CC)  $(CFLAGS) -c $(srcdir)/readline.c
readline$(SO):  readline.o; $(LDSHARED)  readline.o  -lreadline -ltermcap -o readline$(SO)
arraymodule.o: $(srcdir)/arraymodule.c; $(CC)  $(CFLAGS) -c $(srcdir)/arraymodule.c
arraymodule$(SO):  arraymodule.o; $(LDSHARED)  arraymodule.o  -o arraymodule$(SO)
cmathmodule.o: $(srcdir)/cmathmodule.c; $(CC)  $(CFLAGS) -c $(srcdir)/cmathmodule.c
cmathmodule$(SO):  cmathmodule.o; $(LDSHARED)  cmathmodule.o  -o cmathmodule$(SO)
mathmodule.o: $(srcdir)/mathmodule.c; $(CC)  $(CFLAGS) -c $(srcdir)/mathmodule.c
mathmodule$(SO):  mathmodule.o; $(LDSHARED)  mathmodule.o  -o mathmodule$(SO)

=== debian/changelog ===
jack (3.1.1+cvs20050801-31) unstable; urgency=medium

  * Replace obsolete url by package name when Mutagen is not installed.
    (Closes: #680780)
  * Fix documentation typos (Closes: #606960)
  * Enhance -x switch documentation (Closes: #734718)
  * Enhance --save switch documentation (Closes: #734712)

 -- Francois Mazen <francois@mzf.fr>  Fri, 05 Oct 2018 21:54:10 +0200

jack (3.1.1+cvs20050801-30) unstable; urgency=medium

  * Set Francois Mazen as Uploader.
  * Acknowledge NMUs.
  * Remove obsolete cursesmodule python binding (Closes: #898075).
  * Fix trailing whitespace in changelog.
  * Update patches to quilt (3.0).
  * Update debian/copyright to dep5 format.
  * Clean debian/rules.

 -- Francois Mazen <francois@mzf.fr>  Wed, 22 Aug 2018 22:24:35 +0200

jack (3.1.1+cvs20050801-29.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Gaetano Guerriero <x.guerriero@tin.it> to be compatible
    with eyed3 0.7.x.  Closes: #844568
  * Require python-eyed3 >= 0.7.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Jan 2017 14:36:45 +0100

jack (3.1.1+cvs20050801-29.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with dh-python instead of python-support.  Closes: #786042
  * Update watch file.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 13 Dec 2015 17:21:11 +0000

jack (3.1.1+cvs20050801-29) unstable; urgency=low

  * debian/control (Depends): Added lame as an alternative to vorbis-tools and
    flac.

 -- Michael Banck <mbanck@debian.org>  Fri, 30 Mar 2012 16:03:15 +0200

jack (3.1.1+cvs20050801-28) unstable; urgency=low

  * debian/control (Standards-Version): Bumped to 3.9.3.
  * debian/rules (binary-predeb/jack): Remove README prior to package build,
    it is outdated.

 -- Michael Banck <mbanck@debian.org>  Thu, 29 Mar 2012 18:23:22 +0200

jack (3.1.1+cvs20050801-27) unstable; urgency=low

  * debian/control (Uploaders): Removed Martin Michlmayr.

 -- Michael Banck <mbanck@debian.org>  Thu, 29 Mar 2012 17:37:19 +0200

jack (3.1.1+cvs20050801-26) unstable; urgency=low

  * debian/patches/99a_correct-category-list.patch: Make sure the correct
    FreeDB categories are displayed when submitting a CD.  Thanks to
    Cédric Boutillier for the patch; closes: #536165.
  * debian/control (Depends): Add ${shlibs:Depends} (for glibc) and
    ${misc:Depends} (for debhelper).
  * debian/copyright: Update to reflect that the license is GPL 2 or
    later rather than GPL 2 only.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 10 Aug 2009 19:18:27 -1000

jack (3.1.1+cvs20050801-25) unstable; urgency=low

  * debian/patches/64_catch_id3_error.patch: eyeD3 only accepts years
    that have 4 digits.  Ignore year values that don't conform with
    this; closes: #478784

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 04 May 2008 16:44:47 +0200

jack (3.1.1+cvs20050801-24) unstable; urgency=low

  * debian/patches/63_date_unicode.patch: Deal with abbreviated months
    that contain UTF-8 in certain locales; closes: #471843.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 21 Mar 2008 16:14:53 +0100

jack (3.1.1+cvs20050801-23) unstable; urgency=medium

  * debian/patches/61_pymem_del.patch: Fix a bug in the way
    the memory API is used since this would lead to a segfault
    with Python 2.5.  Thanks Barry deFreese and Thomas Viehmann
    for the patch; closes: #468972.
  * debian/patches/69_document_freedb_dir.patch: Document
    freedb_dir since this option doesn't show up with --longhelp;
    closes: #458384.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 09 Mar 2008 11:17:14 +0100

jack (3.1.1+cvs20050801-22) unstable; urgency=low

  * debian/patches/87_use_existing_cddb_category.patch: Don't assume
    that the CDDB category is set because it doesn't have to be when
    -Q and --cont-failed-query is used.  Thanks, Stephan Balmer;
    closes: #453724.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 27 Dec 2007 19:23:55 +0100

jack (3.1.1+cvs20050801-21) unstable; urgency=low

  * debian/patches/57_feedb_asciiletters.patch: Use ASCII letters only
    when parsing Various Artist CDs rather than all letters that are
    valid in a user's locale since jack doesn't deal with the latter
    at the moment; closes: #452097.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 21 Nov 2007 20:35:23 +0100

jack (3.1.1+cvs20050801-20) unstable; urgency=low

  * debian/patches/76_remove_append_year.patch: Remove this patch since
    upstream told me --append-year option is useful after all.  This is
    at the moment the only option to add a year only when the year is
    actually known.  Split other changes of this patch out into their
    own patches.
  * debian/patches/76_mkdirname_cleanup.patch: Clean up some code but
    don't change any functionality.
  * debian/patches/82_fix_append_year_doc.patch: --append-year is not
    a boolean but accepts a string.
  * debian/patches/86_mention_year_dir_template.patch: Document that
    %y (year) can be used in dir_template.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 11 Nov 2007 11:10:56 +0100

jack (3.1.1+cvs20050801-19) unstable; urgency=low

  * debian/patches/59_assume_ok_query.patch: Tag tracks when the FreeDB
    query failed but we can parse the FreeDB file since the user might
    have edited the file manually; closes: #441270.
  * debian/patches/60_ask_edit_freedb_when_query_fails.patch: Ask users
    whether they want to edit the FreeDB data when the query fails.

  * debian/copyright: Add 2007 to the packaging copyright statement.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 27 Oct 2007 22:57:49 +0200

jack (3.1.1+cvs20050801-18) unstable; urgency=medium

  * debian/patches/06_link_ncursew.patch: Update to make sure that
    -I/usr/include/ncursesw will be passed to the compiler; closes:
    #447479.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 21 Oct 2007 15:08:50 +0200

jack (3.1.1+cvs20050801-17) unstable; urgency=medium

  * debian/control (Build-Depends): Use "libncursesw5-dev" rather
    than libncurses5-dev.



=== debian/control ===
Source: jack
Section: sound
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Uploaders: Francois Mazen <francois@mzf.fr>
Build-Depends: debhelper (>= 11), python-all-dev (>= 2.3.5-11), libncursesw5-dev, dh-python
Standards-Version: 4.2.1
Homepage: http://www.home.unix-ag.org/arne/jack/

Package: jack
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-cddb, python-eyed3 (>= 0.7), python-pyvorbis (>= 0.5) | python-mutagen, cdparanoia | cdda2wav, vorbis-tools | flac | lame, sensible-utils
Description: Rip and encode CDs with one command
 Jack has been developed with one main goal: making OGGs (or MP3s)
 without having to worry. There is nearly no way that an incomplete rip
 goes unnoticed, e.g. jack compares WAV and OGG file sizes when
 continuing from a previous run. Jack also checks your HD space before
 doing anything (even keeps some MB free).
 .
 Jack is different from other such tools in a number of ways:
  - it supports different rippers and encoders
  - it is very configurable
  - it doesn't need X
  - it can "rip" virtual CD images like the ones created by cdrdao
  - when using cdparanoia, cdparanoia's status information is displayed
    and archived for all tracks, so you can see if something went wrong
  - it uses sophisticated disk space management, i.e. it schedules its
    ripping/encoding processes depending on available space.
  - freedb query, file renaming and id3/ogg-tagging
  - it can resume work after it has been interrupted. If all tracks have
    been ripped, it doesn't even need the CD anymore, even if you want
    to do a freedb query.
  - it can do a freedb query based on OGGs alone, like if you don't
    remember from which CD those OGGs came from.
  - freedb submissions

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/jack/usr/share/doc/jack/examples/exec_vorbisgain

=== debian/watch ===
version=3

opts=dversionmangle=s/\+cvs\S*$// \
http://www.home.unix-ag.org/arne/jack/download.html \
    (?:|.*/)jack[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## jack 4~git20230906.795fba0

=== debian/changelog ===
jack (4~git20230906.795fba0-2) unstable; urgency=medium

  * Bumped policy. no change.
  * Reported and provided missing manpage upstream
  * Upload to Reintroduce to testing.

 -- Cord Beermann <cord@debian.org>  Sun, 05 May 2024 16:33:31 +0200

jack (4~git20230906.795fba0-1) unstable; urgency=low

  * Python3 (closes: #953942)
  * New upstream release. (closes: #1070149)

 -- Cord Beermann <cord@debian.org>  Tue, 30 Apr 2024 23:38:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: jack
 Section: sound
 Priority: optional
-Maintainer: Michael Banck <mbanck@debian.org>
-Uploaders: Francois Mazen <francois@mzf.fr>
-Build-Depends: debhelper (>= 11), python-all-dev (>= 2.3.5-11), libncursesw5-dev, dh-python
-Standards-Version: 4.2.1
-Homepage: http://www.home.unix-ag.org/arne/jack/
+Maintainer: Cord Beermann <cord@debian.org>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools-scm, python3-pip
+Standards-Version: 4.7.0
+Homepage: https://github.com/jack-cli-cd-ripper/jack
 
 Package: jack
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-cddb, python-eyed3 (>= 0.7), python-pyvorbis (>= 0.5) | python-mutagen, cdparanoia | cdda2wav, vorbis-tools | flac | lame, sensible-utils
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-willow, vorbis-tools | flac | lame | fdkaac, cdparanoia | icedax
 Description: Rip and encode CDs with one command
  Jack has been developed with one main goal: making OGGs (or MP3s)
  without having to worry. There is nearly no way that an incomplete rip
@@ -26,7 +26,7 @@
     and archived for all tracks, so you can see if something went wrong
   - it uses sophisticated disk space management, i.e. it schedules its
     ripping/encoding processes depending on available space.
-  - freedb query, file renaming and id3/ogg-tagging
+  - freedb/gnudb/musicbrainz query, file renaming and id3/ogg-tagging
   - it can resume work after it has been interrupted. If all tracks have
     been ripped, it doesn't even need the CD anymore, even if you want
     to do a freedb query.

## jack 4~git20241202.3410dc1

=== debian/changelog ===
jack (4~git20241202.3410dc1-1) unstable; urgency=medium

  * New upstream release
    + replaces obsolete sndhdr (closes: #1084574)
  * Updated Build-depends to pybuild-plugin-pyproject
  * fix typo in manpage

 -- Cord Beermann <cord@debian.org>  Sat, 07 Dec 2024 20:55:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools-scm, python3-pip
+Build-Depends: debhelper-compat (= 13), python3, dh-python, pybuild-plugin-pyproject
 Standards-Version: 4.7.0
 Homepage: https://github.com/jack-cli-cd-ripper/jack

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=jack
export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -S version |sed -e 's/~/+/g')

%:
	dh $@ --with=python3 --buildsystem=pybuild

## jack 4~git20250824.24abfd5

=== debian/changelog ===
jack (4~git20250824.24abfd5-1) unstable; urgency=medium

  * New pull from git
  * Updated debian/watch to V5
  * Manpage has been adopted in Upstream

 -- Cord Beermann <cord@debian.org>  Fri, 12 Sep 2025 23:26:10 +0200

jack (4~git20241202.3410dc1-2) unstable; urgency=medium

  * added python3-setuptools-scm to Build-dependencies (closes: #1100226)
  * Bumped policy. no change.

 -- Cord Beermann <cord@debian.org>  Sun, 16 Mar 2025 22:26:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), python3, dh-python, pybuild-plugin-pyproject
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), python3, dh-python, pybuild-plugin-pyproject, python3-setuptools-scm
+Standards-Version: 4.7.2
 Homepage: https://github.com/jack-cli-cd-ripper/jack
 
 Package: jack

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=jack
export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -S version |sed -e 's/~/.0+/g' -e 's/-[[:digit:]]//g')

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://github.com/jack-cli-cd-ripper/jack.git
Matching-Pattern: HEAD
Compression: xz
Mode: git
Repack: yes
Update-Script: uupdate
Git-Pretty: 4~git%cd.%h

## jack 4~git20260104.869341b

=== debian/changelog ===
jack (4~git20260104.869341b-1) unstable; urgency=medium

  * New pull from git
    + makes musicbrainz and albumart more robust
    + updated manpage
  * Remove optional Priority and Rules-Requires-Root
  * Add debian/upstream/metadata
  * Bump Policy to 4.7.3, no change

 -- Cord Beermann <cord@debian.org>  Sun, 04 Jan 2026 17:53:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: jack
 Section: sound
-Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), python3, dh-python, pybuild-plugin-pyproject, python3-setuptools-scm
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jack-cli-cd-ripper/jack
 
 Package: jack

## jack 4.0.0

=== DESCRIPTION ===
Type: Package
Package: jack
Title: Jack, Zonal, and Schur Polynomials
Version: 4.0.0
Date: 2022-12-19
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials,
    zonal polynomials, and Schur polynomials. Mainly based on Demmel &
    Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal
    polynomials and Schur polynomials are particular cases of Jack
    polynomials. Zonal polynomials appear in random matrix theory. Schur
    polynomials appear in the field of combinatorics.
License: GPL-3
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
Imports: DescTools, gmp, JuliaConnectoR, multicool, mvp, partitions,
        qspray, Ryacas, spray
Suggests: testthat
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2022-12-19 13:39:37 UTC; stla
Repository: CRAN
Date/Publication: 2022-12-19 14:00:02 UTC

## jack 5.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: jack
 Title: Jack, Zonal, and Schur Polynomials
-Version: 4.0.0
-Date: 2022-12-19
+Version: 5.0.0
+Date: 2023-01-27
 Author: Stéphane Laurent
 Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
 Description: Symbolic calculation and evaluation of the Jack polynomials,
@@ -14,12 +14,14 @@
 License: GPL-3
 URL: https://github.com/stla/jackR
 BugReports: https://github.com/stla/jackR/issues
+SystemRequirements: C++ 20, gmp
 Imports: DescTools, gmp, JuliaConnectoR, multicool, mvp, partitions,
-        qspray, Ryacas, spray
+        qspray, Rcpp, Ryacas, spray
+LinkingTo: BH, Rcpp
 Suggests: testthat
 Encoding: UTF-8
 RoxygenNote: 7.2.3
-NeedsCompilation: no
-Packaged: 2022-12-19 13:39:37 UTC; stla
+NeedsCompilation: yes
+Packaged: 2023-01-28 09:33:07 UTC; stla
 Repository: CRAN
-Date/Publication: 2022-12-19 14:00:02 UTC
+Date/Publication: 2023-01-28 10:00:02 UTC

## jack 5.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: jack
 Title: Jack, Zonal, and Schur Polynomials
-Version: 5.0.0
-Date: 2023-01-27
+Version: 5.0.1
+Date: 2023-01-30
 Author: Stéphane Laurent
 Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
 Description: Symbolic calculation and evaluation of the Jack polynomials,
@@ -14,7 +14,7 @@
 License: GPL-3
 URL: https://github.com/stla/jackR
 BugReports: https://github.com/stla/jackR/issues
-SystemRequirements: C++ 20, gmp
+SystemRequirements: C++ 17, gmp
 Imports: DescTools, gmp, JuliaConnectoR, multicool, mvp, partitions,
         qspray, Rcpp, Ryacas, spray
 LinkingTo: BH, Rcpp
@@ -22,6 +22,6 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-01-28 09:33:07 UTC; stla
+Packaged: 2023-01-30 09:01:27 UTC; stla
 Repository: CRAN
-Date/Publication: 2023-01-28 10:00:02 UTC
+Date/Publication: 2023-01-30 10:30:02 UTC

## jack 5.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: jack
 Title: Jack, Zonal, and Schur Polynomials
-Version: 5.0.1
-Date: 2023-01-30
+Version: 5.1.0
+Date: 2023-05-08
 Author: Stéphane Laurent
 Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
 Description: Symbolic calculation and evaluation of the Jack polynomials,
@@ -22,6 +22,6 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-01-30 09:01:27 UTC; stla
+Packaged: 2023-05-10 08:42:10 UTC; stla
 Repository: CRAN
-Date/Publication: 2023-01-30 10:30:02 UTC
+Date/Publication: 2023-05-10 09:00:02 UTC

## jack 5.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: jack
 Title: Jack, Zonal, and Schur Polynomials
-Version: 5.1.0
-Date: 2023-05-08
+Version: 5.2.0
+Date: 2023-06-07
 Author: Stéphane Laurent
 Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
 Description: Symbolic calculation and evaluation of the Jack polynomials,
@@ -22,6 +22,6 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-05-10 08:42:10 UTC; stla
+Packaged: 2023-06-06 22:46:21 UTC; stla
 Repository: CRAN
-Date/Publication: 2023-05-10 09:00:02 UTC
+Date/Publication: 2023-06-06 23:40:02 UTC

## jack 5.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: jack
 Title: Jack, Zonal, and Schur Polynomials
-Version: 5.2.0
-Date: 2023-06-07
+Version: 5.3.0
+Date: 2023-07-04
 Author: Stéphane Laurent
 Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
 Description: Symbolic calculation and evaluation of the Jack polynomials,
@@ -15,13 +15,13 @@
 URL: https://github.com/stla/jackR
 BugReports: https://github.com/stla/jackR/issues
 SystemRequirements: C++ 17, gmp
-Imports: DescTools, gmp, JuliaConnectoR, multicool, mvp, partitions,
-        qspray, Rcpp, Ryacas, spray
+Imports: DescTools, gmp, multicool, mvp, partitions, qspray, Rcpp,
+        spray
 LinkingTo: BH, Rcpp
 Suggests: testthat
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-06-06 22:46:21 UTC; stla
+Packaged: 2023-07-04 08:07:09 UTC; SDL96354
 Repository: CRAN
-Date/Publication: 2023-06-06 23:40:02 UTC
+Date/Publication: 2023-07-04 11:30:07 UTC

## jack 6.0.0

=== DESCRIPTION ===
Type: Package
Package: jack
Title: Jack, Zonal, and Schur Polynomials
Version: 6.0.0
Date: 2024-05-03
Author: Stéphane Laurent
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Symbolic calculation and evaluation of the Jack polynomials,
    zonal polynomials, and Schur polynomials. Mainly based on Demmel &
    Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1>. Zonal
    polynomials and Schur polynomials are particular cases of Jack
    polynomials. Zonal polynomials appear in random matrix theory. Schur
    polynomials appear in the field of combinatorics. The package can also 
    compute the skew Schur polynomials.
License: GPL-3
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
SystemRequirements: C++17, gmp, mpfr
Depends: qspray (>= 3.0.0), symbolicQspray
Imports: DescTools, gmp, multicool, mvp, partitions, Rcpp, spray, utils
LinkingTo: BH, Rcpp, qspray, RcppArmadillo, ratioOfQsprays, RcppCGAL,
        symbolicQspray
Suggests: testthat, syt
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: yes
Packaged: 2024-05-03 00:52:28 UTC; SDL96354
Repository: CRAN
Date/Publication: 2024-05-03 06:30:02 UTC

## jack 6.1.0

=== DESCRIPTION ===
Type: Package
Package: jack
Title: Jack, Zonal, Schur, and Other Symmetric Polynomials
Version: 6.1.0
Date: 2024-07-29
Authors@R: 
    person("Stéphane", "Laurent", , "laurent_step@outlook.fr", role = c("aut", "cre"))
Maintainer: Stéphane Laurent <laurent_step@outlook.fr>
Description: Schur polynomials appear in combinatorics and zonal
    polynomials appear in random matrix theory. They are particular cases
    of Jack polynomials. This package allows to compute these polynomials
    and other symmetric multivariate polynomials: flagged Schur
    polynomials, factorial Schur polynomials, t-Schur polynomials,
    Hall-Littlewood polynomials, Macdonald polynomials, and modified
    Macdonald polynomials. In addition, it can compute the Kostka-Jack
    numbers, the Kostka-Foulkes polynomials, the Kostka-Macdonald
    polynomials, and the Hall polynomials.  Mainly based on Demmel &
    Koev's paper (2006) <doi:10.1090/S0025-5718-05-01780-1> and
    Macdonald's book (1995) <doi:10.1093/oso/9780198534891.003.0001>.
License: GPL-3
URL: https://github.com/stla/jackR
BugReports: https://github.com/stla/jackR/issues
Depends: qspray (>= 3.1.0), ratioOfQsprays (>= 1.1.0), symbolicQspray
        (>= 1.1.0)
Imports: DescTools, gmp, methods, multicool, mvp, partitions,
        RationalMatrix, Rcpp, spray, syt (>= 0.5.0), utils
Suggests: testthat
LinkingTo: BH, qspray, ratioOfQsprays, Rcpp, RcppCGAL, symbolicQspray
Encoding: UTF-8
RoxygenNote: 7.3.1
SystemRequirements: C++17, gmp, mpfr
NeedsCompilation: yes
Packaged: 2024-07-29 17:12:59 UTC; User
Author: Stéphane Laurent [aut, cre]
Repository: CRAN
Date/Publication: 2024-07-29 17:50:02 UTC

## jack test3.2

=== Makefile ===
all:	jack_test3_nmeter jack_test3_client

jack_test3_nmeter:	jack_test3_nmeter.c
	gcc -o jack_test3_nmeter jack_test3_nmeter.c

jack_test3_client:	jack_test3_client.cpp
	g++ -o jack_test3_client jack_test3_client.cpp -ljack

clean:
	rm -vf jack_test3_nmeter jack_test3_client

## jack test4.1

=== Makefile ===
#CFLAGS = -O2 -mfpmath=sse -msse

all:	jack_test4_nmeter jack_test4_client

jack_test4_nmeter:	jack_test4_nmeter.c
	$(CC) $(CFLAGS) -o jack_test4_nmeter jack_test4_nmeter.c

jack_test4_client:	jack_test4_client.c
	$(CC) $(CFLAGS) -o jack_test4_client jack_test4_client.c -ljack -lm

clean:
	rm -vf jack_test4_nmeter jack_test4_client

## jack umidi-1.1.2

=== Makefile ===
#
# $FreeBSD: $
#
# Copyright (c) 2011-2021 Hans Petter Selasky. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#
# Jack client Makefile for USB/RAW MIDI sockets and character devices.
#

PROG=		jack_umidi

PREFIX?=	/usr/local
LOCALBASE?=	/usr/local
BINDIR=		${PREFIX}/sbin
MANDIR=		${PREFIX}/man/man
LIBDIR=		${PREFIX}/lib
INCLUDEDIR=	${PREFIX}/include
MKLINT=		no
NOGCCERROR=
PTHREAD_LIBS?=  -lpthread

CFLAGS+=	-I${PREFIX}/include -Wall

LDFLAGS+=	-L${LIBDIR} ${PTHREAD_LIBS} -ljack

.if defined(HAVE_DEBUG)
CFLAGS+=	-DHAVE_DEBUG
CFLAGS+=	-g
.endif

CFLAGS+=	-DHAVE_SYSCTL

SRCS=		jack_umidi.c

.if defined(HAVE_MAN)
MAN=		jack_umidi.8
.else
MAN=
.endif

.include <bsd.prog.mk>

## jack utils-0.0.1-3.src

=== source/Makefile ===
# -----------------------------------------------------------------------------
#
#  Copyright (C) 2012-2018 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

VERSION = 0.0.1
CPPFLAGS += -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall
CXXFLAGS += -march=native
LDLIBS += -ljack -lasound -lrt


all:	jack_fpmon jack_check jack_proxy


JACK_FPMON_O =	jack_fpmon.o
jack_fpmon:	$(JACK_FPMON_O)
	$(CXX) $(LDFLAGS) -o $@ $(JACK_FPMON_O) $(LDLIBS)

JACK_CHECK_O =	jack_check.o
jack_check:	$(JACK_CHECK_O)
	$(CXX) $(LDFLAGS) -o $@ $(JACK_CHECK_O) $(LDLIBS)

JACK_PROXY_O =	jack_proxy.o
jack_proxy:	$(JACK_PROXY_O)
	$(CXX) $(LDFLAGS) -o $@ $(JACK_PROXY_O) $(LDLIBS)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 jack_fpmon $(DESTDIR)$(BINDIR)
	install -m 755 jack_check $(DESTDIR)$(BINDIR)
	install -m 755 jack_proxy $(DESTDIR)$(BINDIR)


uninstall:
	rm -f $(DESTDIR)$(BINDIR)/jack_fpmon
	rm -f $(DESTDIR)$(BINDIR)/jack_check
	rm -f $(DESTDIR)$(BINDIR)/jack_proxy


clean:
	/bin/rm -f *~ *.o *.a *.d *.so jack_fpmon jack_check jack_proxy
